Jupiter - Zadanie #1645

Zadanie # 1642 (Zamknigty): Usuwanie artykutow
Obstuga zadania usuniecia na Ul
2017-04-18 11:41 - Michat Komar

Status: Zamkniety Start date: 2017-04-18
Priority: Normalny Due date:

Assignee: Michat Komar % Done: 100%
Category: ui Estimated time: 0.00 hour
Target version: 0.3

Developer: tukasz Waskiewicz Tester: Michat Komar
Description

Po kliknigciu usun na Ul powinien pojawi¢ sie komunikat o tym, ze usuniecie spowoduje usunigcie wszystkich dokumentéw ponize;.
Operacja ta musi wymagacé potwierdzenia.

Po wykonaniu operacji, nalezy usuniete dokumenty odpowiednio oznaczy¢ na drzewie - np. przekresli¢, albo wyswietli¢ tytut na
czerwono?

Super user powinien mie¢ mozliwosé wyswietlenia usunietych dokumentéw - nie mam na razie pomystu jak to zrobi¢. Moze dodaé w
menu administracyjnym opcje wyswietlania dokumentéw z odpowiednimi filtrami i tam dodag filtr na usuniete ?

Associated revisions

Revision 3152921 - 2017-04-20 12:12 - Lukasz Waskiewicz

refs #1645 obstuga kasowania z Ul

Revision cb6f5b6e - 2017-04-21 09:41 - Lukasz Waskiewicz

refs #1645 kasowanie dokumentu

Revision 271aabcd - 2017-04-24 11:28 - Lukasz Waskiewicz

refs #1645 kasowanie dzieci, poprawa wyswietlania

Revision 7a76bede - 2017-05-12 07:18 - Lukasz Waskiewicz

refs #1645 poprawa logiki przy publikowaniu usunigé

History

#1 - 2017-04-24 12:35 - Lukasz Waskiewicz

- Status changed from Nowy to Testowanie

- Assignee changed from tukasz Waskiewicz to Michat Komar
- % Done changed from 0 to 90

kasowanie i oznaczanie dziata, trocheg dtugo trwa kasownaie dzieci (szczegélnie jedli jest Basic workflow) ale po dodaniu Async krzyczy ze jest cykl w

zaleznos$ciach
#2 - 2017-05-09 12:31 - Michat Komar
- Status changed from Testowanie to Odpowiedz
- Assignee changed from Michat Komar to tukasz Waskiewicz

W publishingJob nalezy sprawdzaé, czy po odfiltrowaniu dokumentéw usunietych w ogéle co$ zostaje, zeby procesy konwers;ji i indeksowania nie

chodzity na pusto.

brak elementéw do eksportu => pomin kroki exportDocuments, executeConversionProcess, executelndexingProcess

#3 - 2017-05-12 07:19 - Lukasz Waskiewicz

- Status changed from Odpowiedz to Testowanie

- Assignee changed from tukasz Waskiewicz to Michat Komar
- % Done changed from 90 to 100

poprawione

#4 - 2017-05-19 08:38 - Michat Komar
- Status changed from Testowanie to Rozwigzany

Wyglada na to, ze dziata.

#5 - 2017-06-06 11:56 - Michat Komar

- Status changed from Rozwigzany to Zamkniety
